function abfrage_senden(container) {
    const mail = container.getElementsByClassName("mail")[0].value;
    const pw = container.getElementsByClassName("pw")[0].value;
    fetch("/query", {
        headers: {
            "Content-Type": "application/json",
        },
        method: "POST",
        body: JSON.stringify({
            level_nr: parseInt(container.attributes.level_nr.nodeValue),
            mail: mail.replace(/\n/g, ""),
            pw: pw.replace(/\n/g, ""),
        }),
    })
        .then(function (response) {
            if (response.ok) {
                response.json().then(function (response) {
                    console.log("AJAX erfolgreich: " + response["success"]);
                    container.getElementsByClassName("status")[0].innerHTML =
                        response["status"];
                    container.getElementsByClassName("sql")[0].innerHTML =
                        response["sql"];
                    if (response["angemeldet"])
                        container.parentElement.getElementsByClassName(
                            "naechstes-level"
                        )[0].style.display = "block";
                });
            } else {
                throw Error("Something went wrong");
            }
        })
        .catch(function (error) {
            console.log(error);
        });
}

function db_reset() {
    fetch("/db-reset", {
        headers: {
            "Content-Type": "application/json",
        },
        method: "GET",
    })
        .then(function (response) {
            if (response.ok) {
                response.json().then(function (response) {
                    console.log("DB-Reset erfolgreich: " + response["success"]);
                });
            } else {
                throw Error("Something went wrong");
            }
        })
        .catch(function (error) {
            console.log(error);
        });
}

/**
 * Scrollen zu einem konkreten Level
 * @param {integer} level_nr
 */
function level_wechseln(level_nr) {
    console.log(level_nr);
    document.getElementById("container" + level_nr.toString()).scrollIntoView();
    // Hochscrollen, sodass das Level exakt fokussiert wird
    window.scrollBy(0, -2);
}

function tipp_ein_ausklappen(tipp_container) {
    let tipp_text = tipp_container.getElementsByClassName("tipp-text")[0];
    if (tipp_text.style.display == "block") {
        tipp_text.style.display = "none";
    } else {
        tipp_text.style.display = "block";
    }
}
